# Poco::XML

# class NoNamespacesStrategy

Library: XML
Package: XML
Header: Poco/XML/NamespaceStrategy.h

## Description

The NamespaceStrategy implementation used if no namespaces processing is requested.

## Inheritance

Direct Base Classes: NamespaceStrategy

All Base Classes: NamespaceStrategy

## Member Summary

Member Functions: endElement, startElement

Inherited Functions: endElement, splitName, startElement

## Constructors

### NoNamespacesStrategy

NoNamespacesStrategy();

## Destructor

### ~NoNamespacesStrategy

~NoNamespacesStrategy();

## Member Functions

### endElement

void endElement(
const XMLChar * name,
ContentHandler * pContentHandler
);

See also: Poco::XML::NamespaceStrategy::endElement()

### startElement

void startElement(
const XMLChar * name,
const XMLChar * * atts,
int specifiedCount,
ContentHandler * pContentHandler
);

See also: Poco::XML::NamespaceStrategy::startElement()